Description

There is a feature we would really like to see. More and more plugins use js libs, which make it happen that one site can have same

lib loaded several times, in worst case with different versions.

Every js asset shall be registered in redmine repo cache and not get build into site and loaded by client again if already registered.

This way e.g only one version and one instance of jquery (ui) would be loaded.

There is already an issue in chili, which esepcially hanlde this problem for jquery and prototype.

This js repo cahce will decrease  loading time and reduce comptibility issues in redmine a lot and make plugin usage more stable.

Compatibility check for jQuery and Prototype availability is already done in chiliproject.

https://www.chiliproject.org/issues/725

History

#1 - 2011-12-02 21:53 - Jean-Philippe Lang

This solution does not solve your problem. It lets plugins know if the core uses jquery but won't prevent 2 plugins from loading the same lib twice.

#2 - 2011-12-02 21:53 - Jean-Philippe Lang

- Category changed from Code cleanup/refactoring to Plugin API

#3 - 2011-12-02 22:27 - Terence Mill

Of course, not. Its just soem code to start.

The issue describes the complete thing what is needful.

I already run in this problems doing eye candy for redmine with jquery, js ext, prototype. Many problems with  lamda expression ($) following this also.

#4 - 2012-07-18 23:47 - Terence Mill

related to Feature #11425 JavaScript library handler for theming and plugins
